let exceltojson = require("xlsx-to-json-lc");
const path = require('path');
let datasheetPath = path.resolve(__dirname,'../../testdata\\datasheet.xlsx');
let jsonPath = path.resolve(__dirname,'../../testdata\\data.json');
console.log("DataSheet Path "+ datasheetPath);
console.log("Json Path "+  jsonPath);
let dataMapper = require("./../mapper/data-mapper.js");

exceltojson({
    input: datasheetPath,
    output: jsonPath,
    sheet: "Data",  // specific sheetname inside excel file (if you have multiple sheets)
    lowerCaseHeaders: true //to convert all excel headers to lower case in json
}, function (err, result) {
    if (err) {
        console.error(err);
    } else {
        console.log(result);
        //result will contain the converted json data
    }
});
